# Based on spec file originally generated from 
# wdm-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wdm

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Windows Directory Monitor (WDM) is a threaded directories monitor for Windows
Group: Development/Languages
License: MIT
URL: https://github.com/Maher4Ever/wdm
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) 
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby-devel >= 1.9.2
# BuildRequires: rubygem(rake-compiler) 
# BuildRequires: rubygem(rspec) 
# BuildRequires: rubygem(guard-rspec) 
# BuildRequires: rubygem(guard-shell) 
# BuildRequires: rubygem(rb-readline) 
# BuildRequires: rubygem(rb-notifu) 
# BuildRequires: rubygem(pimpmychangelog) 
Provides: rubygem(%{gem_name}) = %{version}

%description
Windows Directory Monitor (WDM) is a library which can be used to monitor
directories for changes. It's mostly implemented in C and uses the Win32 API
for a better performance.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

#mkdir -p %{buildroot}%{gem_extdir_mri}/lib
# TODO: move the extensions
#mv %{buildroot}%{gem_instdir}/lib/shared_object.so %{buildroot}%{gem_extdir_mri}/lib/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%files
%dir %{gem_instdir}
%{gem_instdir}
%{gem_libdir}
#%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Tue Jul 01 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.1.0-1
- Initial package
